<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroQrCodesViewModelBuilder implements Builder {
	protected $qr_code;

	public function build(): PagSeguroQrCodesViewModel {

		$obj = new PagSeguroQrCodesViewModel();

		$obj->setQrCode( $this->qr_code );

		return $obj;

	}

	/**
	 *
	 * @param mixed $qr_code
	 */
	public function setQrCode($qr_code): PagSeguroQrCodesViewModelBuilder {

		$this->qr_code = $qr_code;
		return $this;

	}

}

